Cyberduck Mountain Duck CLI

#1356 closed defect (wontfix)

Permission error installing update

Reported by: cwha@… Owned by: dkocher
Priority: normal Milestone:
Component: core Version: 2.7.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I get this error when trying to install the latest update: Update Error! Cyberduck does not have permission to write to the application's directory! Are you running off a disk image? If not, ask your system administrator for help.


Yet, I am running as Administrator and entered the correct password when prompted.

I am on Mac OS X Version 10.4.11, 2Ghz Intel Core Duo, 1.5 GB 667 Mhz DDR2 SDRAM

Change History (6)

comment:1 Changed on Nov 29, 2007 at 2:56:24 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Check your disk permissions using Disk Utility.app

comment:2 Changed on Jan 15, 2008 at 6:56:37 PM by Jim Barry

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I'm having this same problem on a new MacBook. I was ale to download most recent update and install on my imac. But now I am attempting to install on the macbook and I get this error. I've checked the permissions and everything seems to be fine there. So what else has to be done to get the update to work?

comment:3 Changed on Jan 29, 2008 at 8:51:56 PM by dkocher

  • Summary changed from Unable to install updates to Permission error installing update

comment:4 Changed on Jan 29, 2008 at 8:56:33 PM by dkocher

  • Resolution set to wontfix
  • Status changed from reopened to closed

This is a Sparkle issue. Probably Cyberduck.app is owned by root? Refer to #149.

comment:5 Changed on Mar 10, 2008 at 11:57:18 PM by hawaiikaos@…

Had a similar problem, app that received the error was not in Applications directory. Moved it to Applications, problem was resolved.

comment:6 Changed on Sep 10, 2010 at 7:27:15 PM by dkocher

Make sure you are

  • not running Cyberduck.app from a write protected volume.
  • are the owner of the application (Check with File → Info in Finder.app)
  • repair the permissions on your harddisk using Disk Utility.app.
Note: See TracTickets for help on using tickets.
swiss made software